IOSS 2.0

Public Member Functions | Public Attributes | List of all members
Iopx::DecompositionDataBase Class Referenceabstract

`#include <Iopx_DecompositionData.h>`

Inheritance diagram for Iopx::DecompositionDataBase:
[legend]

## Public Member Functions
| DecompositionDataBase (MPI_Comm comm)
virtual | ~DecompositionDataBase ()
virtual int | int_size () const =0
virtual void | decompose_model (int filePtr)=0
virtual size_t | ioss_node_count () const =0
virtual size_t | ioss_elem_count () const =0
virtual int | spatial_dimension () const =0
virtual size_t | global_node_count () const =0
virtual size_t | global_elem_count () const =0
virtual size_t | decomp_node_offset () const =0
virtual size_t | decomp_node_count () const =0
virtual size_t | decomp_elem_offset () const =0
virtual size_t | decomp_elem_count () const =0
virtual std::vector< double > & | centroids ()=0
const Ioss::SetDecompositionData & | get_decomp_set (ex_entity_type type, ex_entity_id id) const
template<typename T >
void | communicate_node_data (T *file_data, T *ioss_data, size_t comp_count) const
template<typename T >
void | communicate_element_data (T *file_data, T *ioss_data, size_t comp_count) const
void | get_block_connectivity (int filePtr, void *data, int64_t id, size_t blk_seq, size_t nnpe) const
void | get_node_entity_proc_data (void *entity_proc, const Ioss::MapContainer &node_map, bool do_map) const
int | get_set_mesh_var (int filePtr, ex_entity_type type, ex_entity_id id, const Ioss::Field &field, void *ioss_data) const
int | get_set_mesh_double (int filePtr, ex_entity_type type, ex_entity_id id, const Ioss::Field &field, double *ioss_data) const
virtual size_t | get_commset_node_size () const =0
virtual int | get_node_coordinates (int filePtr, double *ioss_data, const Ioss::Field &field) const =0
virtual int | get_one_attr (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, int attrib_index, double *attrib) const =0
virtual int | get_attr (int exoid, ex_entity_type obj_type, ex_entity_id obj_id, size_t attr_count, double *attrib) const =0
virtual int | get_var (int filePtr, int step, ex_entity_type type, int var_index, ex_entity_id id, int64_t num_entity, std::vector< double > &data) const =0

## Public Attributes
MPI_Comm | comm_
int | m_processor
int | m_processorCount
std::vector< Ioss::BlockDecompositionData > | el_blocks
std::vector< Ioss::SetDecompositionData > | node_sets
std::vector< Ioss::SetDecompositionData > | side_sets

## Constructor & Destructor Documentation

## ◆ DecompositionDataBase()

Iopx::DecompositionDataBase::DecompositionDataBase | ( | MPI_Comm | comm | ) |
| inline

## ◆ ~DecompositionDataBase()

virtual Iopx::DecompositionDataBase::~DecompositionDataBase | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ centroids()

virtual std::vector<double>& Iopx::DecompositionDataBase::centroids | ( |  | ) |
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ communicate_element_data()

template<typename T >

void Iopx::DecompositionDataBase::communicate_element_data | ( | T * | file_data,
|  | T * | ioss_data,
|  | size_t | comp_count
| ) |  | const

## ◆ communicate_node_data()

template<typename T >

void Iopx::DecompositionDataBase::communicate_node_data | ( | T * | file_data,
|  | T * | ioss_data,
|  | size_t | comp_count
| ) |  | const

## ◆ decomp_elem_count()

virtual size_t Iopx::DecompositionDataBase::decomp_elem_count | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ decomp_elem_offset()

virtual size_t Iopx::DecompositionDataBase::decomp_elem_offset | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ decomp_node_count()

virtual size_t Iopx::DecompositionDataBase::decomp_node_count | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ decomp_node_offset()

virtual size_t Iopx::DecompositionDataBase::decomp_node_offset | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ decompose_model()

virtual void Iopx::DecompositionDataBase::decompose_model | ( | int | filePtr | ) |
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ get_attr()

virtual int Iopx::DecompositionDataBase::get_attr | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | size_t | attr_count,
|  | double * | attrib
| ) |  | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ get_block_connectivity()

void Iopx::DecompositionDataBase::get_block_connectivity | ( | int | filePtr,
|  | void * | data,
|  | int64_t | id,
|  | size_t | blk_seq,
|  | size_t | nnpe
| ) |  | const

## ◆ get_commset_node_size()

virtual size_t Iopx::DecompositionDataBase::get_commset_node_size | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ get_decomp_set()

const Ioss::SetDecompositionData & Iopx::DecompositionDataBase::get_decomp_set | ( | ex_entity_type | type,
|  | ex_entity_id | id
| ) |  | const

## ◆ get_node_coordinates()

virtual int Iopx::DecompositionDataBase::get_node_coordinates | ( | int | filePtr,
|  | double * | ioss_data,
|  | const Ioss::Field & | field
| ) |  | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ get_node_entity_proc_data()

void Iopx::DecompositionDataBase::get_node_entity_proc_data | ( | void * | entity_proc,
|  | const Ioss::MapContainer & | node_map,
|  | bool | do_map
| ) |  | const

## ◆ get_one_attr()

virtual int Iopx::DecompositionDataBase::get_one_attr | ( | int | exoid,
|  | ex_entity_type | obj_type,
|  | ex_entity_id | obj_id,
|  | int | attrib_index,
|  | double * | attrib
| ) |  | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ get_set_mesh_double()

int Iopx::DecompositionDataBase::get_set_mesh_double | ( | int | filePtr,
|  | ex_entity_type | type,
|  | ex_entity_id | id,
|  | const Ioss::Field & | field,
|  | double * | ioss_data
| ) |  | const

## ◆ get_set_mesh_var()

int Iopx::DecompositionDataBase::get_set_mesh_var | ( | int | filePtr,
|  | ex_entity_type | type,
|  | ex_entity_id | id,
|  | const Ioss::Field & | field,
|  | void * | ioss_data
| ) |  | const

## ◆ get_var()

virtual int Iopx::DecompositionDataBase::get_var | ( | int | filePtr,
|  | int | step,
|  | ex_entity_type | type,
|  | int | var_index,
|  | ex_entity_id | id,
|  | int64_t | num_entity,
|  | std::vector< double > & | data
| ) |  | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ global_elem_count()

virtual size_t Iopx::DecompositionDataBase::global_elem_count | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ global_node_count()

virtual size_t Iopx::DecompositionDataBase::global_node_count | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ int_size()

virtual int Iopx::DecompositionDataBase::int_size | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ ioss_elem_count()

virtual size_t Iopx::DecompositionDataBase::ioss_elem_count | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ ioss_node_count()

virtual size_t Iopx::DecompositionDataBase::ioss_node_count | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## ◆ spatial_dimension()

virtual int Iopx::DecompositionDataBase::spatial_dimension | ( |  | ) | const
| pure virtual

Implemented in Iopx::DecompositionData< INT >.

## Member Data Documentation

## ◆ comm_

MPI_Comm Iopx::DecompositionDataBase::comm_

## ◆ el_blocks

std::vector<Ioss::BlockDecompositionData> Iopx::DecompositionDataBase::el_blocks

## ◆ m_processor

int Iopx::DecompositionDataBase::m_processor

## ◆ m_processorCount

int Iopx::DecompositionDataBase::m_processorCount

## ◆ node_sets

std::vector<Ioss::SetDecompositionData> Iopx::DecompositionDataBase::node_sets

## ◆ side_sets

std::vector<Ioss::SetDecompositionData> Iopx::DecompositionDataBase::side_sets

The documentation for this class was generated from the following files:

- src/exo_par/Iopx_DecompositionData.h
- src/exo_par/Iopx_DecompositionData.C